NXOpen .NET Reference Guide
 All Classes Namespaces Functions Variables Enumerations Enumerator Properties
Public Member Functions | Protected Member Functions | Properties | List of all members
NXOpen.CoordinateSystemCollection Class Reference

Represents a collection of NXOpen.CoordinateSystem . More...

Inheritance diagram for NXOpen.CoordinateSystemCollection:
NXOpen.TaggedObjectCollection NXOpen.Utilities.NXRemotableObject IEnumerable IMessageSink

Public Member Functions

unsafe
NXOpen.CartesianCoordinateSystem 
CreateCoordinateSystem (NXOpen.Point3d origin, NXOpen.Matrix3x3 orientation, bool isTemporary)
 Creates a new cartesian coordinate system More...
 
unsafe
NXOpen.CartesianCoordinateSystem 
CreateCoordinateSystem (NXOpen.Point3d origin, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection)
 Creates a new cartesian coordinate system More...
 
unsafe
NXOpen.CartesianCoordinateSystem 
CreateCoordinateSystem (NXOpen.Point3d origin, NXOpen.NXMatrix orientation, bool isTemporary)
 Creates a new cartesian coordinate system More...
 
unsafe
NXOpen.CartesianCoordinateSystem 
CreateCoordinateSystem (NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption update)
 Creates a CartesianCoordinateSystem from a Xform and update option. More...
 
unsafe
NXOpen.CylindricalCoordinateSystem 
CreateCylindricalCoordinateSystem (NXOpen.Point3d origin, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection)
 Creates a new cylindrical coordinate system More...
 
unsafe
NXOpen.CylindricalCoordinateSystem 
CreateCylindricalCoordinateSystem (NXOpen.Point3d origin, NXOpen.NXMatrix orientation, bool isTemporary)
 Creates a new cylindrical coordinate system More...
 
unsafe
NXOpen.CylindricalCoordinateSystem 
CreateCylindricalCoordinateSystem (NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption update)
 Creates a CylindricalCoordinateSystem from a Xform and update option. More...
 
unsafe
NXOpen.SphericalCoordinateSystem 
CreateSphericalCoordinateSystem (NXOpen.Point3d origin, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection)
 Creates a new spherical coordinate system More...
 
unsafe
NXOpen.SphericalCoordinateSystem 
CreateSphericalCoordinateSystem (NXOpen.Point3d origin, NXOpen.NXMatrix orientation, bool isTemporary)
 Creates a new spherical coordinate system More...
 
unsafe
NXOpen.SphericalCoordinateSystem 
CreateSphericalCoordinateSystem (NXOpen.Xform xform, NXOpen.SmartObject.UpdateOption update)
 Creates a SphericalCoordinateSystem from a Xform and update option. More...
 
NXOpen.CoordinateSystem[] ToArray ()
 Returns an array of NXOpen.CoordinateSystem objects. More...
 
- Public Member Functions inherited from NXOpen.TaggedObjectCollection
IEnumerator GetEnumerator ()
 Returns an enumerator that iterates through a collection. More...
 
- Public Member Functions inherited from NXOpen.Utilities.NXRemotableObject
IMessageCtrl AsyncProcessMessage (IMessage msg, IMessageSink replySink)
 Asynchronously processes the given message. More...
 
IMessage SyncProcessMessage (IMessage msg)
 Synchronously processes the given message. More...
 

Protected Member Functions

override int EnumerateMoveNext (ref Tag currentTag, byte[] state)
 Advances the enumerator to the next element of the collection. More...
 
- Protected Member Functions inherited from NXOpen.TaggedObjectCollection
new void initialize ()
 <exclude> More...
 
- Protected Member Functions inherited from NXOpen.Utilities.NXRemotableObject
void initialize ()
 <exclude> More...
 

Properties

Tag Tag [get]
 Returns the tag of this object. More...
 

Detailed Description

Represents a collection of NXOpen.CoordinateSystem .

Iterating this collection only returns live uncondemned objects contained in the owning part of the collection. Note that NXOpen.CoordinateSystem is a smart object and many smart objects are condemned as they only exist to support other objects and are not displayed.

To obtain an instance of this class, refer to NXOpen.BasePart

Created in NX3.0.0

Member Function Documentation

unsafe NXOpen.CartesianCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.Matrix3x3  orientation,
bool  isTemporary 
)
inline

Creates a new cartesian coordinate system

Created in NX3.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
orientationOrientation of the new coordinate system (relative to the absolute coordinate system). Must be orthonormal.
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns
The created CartesianCoordinateSystem
unsafe NXOpen.CartesianCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection 
)
inline

Creates a new cartesian coordinate system

Created in NX5.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
Returns
The created CartesianCoordinateSystem
unsafe NXOpen.CartesianCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.NXMatrix  orientation,
bool  isTemporary 
)
inline

Creates a new cartesian coordinate system

Created in NX3.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns
The created CartesianCoordinateSystem
unsafe NXOpen.CartesianCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCoordinateSystem ( NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  update 
)
inline

Creates a CartesianCoordinateSystem from a Xform and update option.

Created in NX4.0.0

License requirements: None.

Parameters
xformthe Xform of the coordinate system
updateupdate option
Returns
The created CartesianCoordinateSystem
unsafe NXOpen.CylindricalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCylindricalCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection 
)
inline

Creates a new cylindrical coordinate system

Created in NX5.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
Returns
The created CylindricalCoordinateSystem
unsafe NXOpen.CylindricalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCylindricalCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.NXMatrix  orientation,
bool  isTemporary 
)
inline

Creates a new cylindrical coordinate system

Created in NX4.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns
The created CylindricalCoordinateSystem
unsafe NXOpen.CylindricalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateCylindricalCoordinateSystem ( NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  update 
)
inline

Creates a CylindricalCoordinateSystem from a Xform and update option.

Created in NX4.0.0

License requirements: None.

Parameters
xformthe Xform of the coordinate system
updateupdate option
Returns
The created CylindricalCoordinateSystem
unsafe NXOpen.SphericalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateSphericalCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.Vector3d  xDirection,
NXOpen.Vector3d  yDirection 
)
inline

Creates a new spherical coordinate system

Created in NX5.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system)
xDirectionx direction of the new coordinate system (relative to the absolute coordinate system)
yDirectiony direction of the new coordinate system (relative to the absolute coordinate system)
Returns
The created SphericalCoordinateSystem
unsafe NXOpen.SphericalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateSphericalCoordinateSystem ( NXOpen.Point3d  origin,
NXOpen.NXMatrix  orientation,
bool  isTemporary 
)
inline

Creates a new spherical coordinate system

Created in NX4.0.0

License requirements: None.

Parameters
originOrigin of the new coordinate system (relative to the absolute coordinate system
orientationOrientation of the new coordinate system
isTemporaryIf the coordinate system is temporary, it will not be displayed and it will not be saved in the part file
Returns
The created SphericalCoordinateSystem
unsafe NXOpen.SphericalCoordinateSystem NXOpen.CoordinateSystemCollection.CreateSphericalCoordinateSystem ( NXOpen.Xform  xform,
NXOpen.SmartObject.UpdateOption  update 
)
inline

Creates a SphericalCoordinateSystem from a Xform and update option.

Created in NX4.0.0

License requirements: None.

Parameters
xformthe Xform of the coordinate system
updateupdate option
Returns
The created SphericalCoordinateSystem
override int NXOpen.CoordinateSystemCollection.EnumerateMoveNext ( ref Tag  currentTag,
byte[]  state 
)
inlineprotectedvirtual

Advances the enumerator to the next element of the collection.

Implements NXOpen.TaggedObjectCollection.

NXOpen.CoordinateSystem [] NXOpen.CoordinateSystemCollection.ToArray ( )
inline

Returns an array of NXOpen.CoordinateSystem objects.

Property Documentation

Tag NXOpen.CoordinateSystemCollection.Tag
get

Returns the tag of this object.


The documentation for this class was generated from the following file:
Copyright 2019 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.